SphinxClient::query
SphinxClient::resetGroupBy
SphinxClient
PHP Manual

# SphinxClient::resetFilters

Clear all filters

### Description

public void SphinxClient::resetFilters ( void )

Clears all currently set filters. This call is normally required when using multi-queries. You might want to set different filters for different queries in the batch. To do that, you should call SphinxClient::resetFilters and add new filters using the respective calls.

### Return Values

No value is returned.

### See Also

- SphinxClient::resetGroupBy